summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-board/ccgo
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-board/ccgo')
-rw-r--r--games-board/ccgo/Manifest1
-rw-r--r--games-board/ccgo/ccgo-0.3.6.4.ebuild50
-rw-r--r--games-board/ccgo/metadata.xml5
3 files changed, 56 insertions, 0 deletions
diff --git a/games-board/ccgo/Manifest b/games-board/ccgo/Manifest
new file mode 100644
index 00000000000..a3adc66c1a0
--- /dev/null
+++ b/games-board/ccgo/Manifest
@@ -0,0 +1 @@
+DIST ccgo-0.3.6.4.tar.gz 620246 SHA256 1975a4e9b6661f6613dd3a00b3ee7e176b80244f555a184b258b50ef4352a890 SHA512 54625bbf7036c18f4a9e92df0d7f2d67772138a940c5fdbbffa3d1c2e5c558cad5394d2c556c06388516e53d1f3502cf6369bcd95b1139d4ca5ec4210dcac5c2 WHIRLPOOL dd1b63c6c4360da99f66772373d2b9a0b39b495c57893d89cd69a4db8c0b8c53db059350c906f17a9e1402bacd473827fcce1be4d607c4afa3b1b9eb36de8f9d
diff --git a/games-board/ccgo/ccgo-0.3.6.4.ebuild b/games-board/ccgo/ccgo-0.3.6.4.ebuild
new file mode 100644
index 00000000000..680fdacdce8
--- /dev/null
+++ b/games-board/ccgo/ccgo-0.3.6.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools toolchain-funcs games
+
+DESCRIPTION="An IGS client written in C++"
+HOMEPAGE="http://ccdw.org/~cjj/prog/ccgo/"
+SRC_URI="http://ccdw.org/~cjj/prog/ccgo/src/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE="nls"
+
+RDEPEND=">=dev-cpp/gtkmm-2.4:2.4
+ >=dev-cpp/gconfmm-2.6
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+src_prepare() {
+ sed -i \
+ -e '/^Encoding/d' \
+ -e '/^Categories/ { s/Application;//; s/$/GTK;/ }' \
+ ccgo.desktop.in || die
+ sed -i \
+ -e '/^localedir/s/=.*/=@localedir@/' \
+ -e '/^appicondir/s:=.*:=/usr/share/pixmaps:' \
+ -e '/^desktopdir/s:=.*:=/usr/share/applications:' \
+ Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ egamesconf \
+ --localedir=/usr/share/locale \
+ $(use_enable nls)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+ prepgamesdirs
+}
diff --git a/games-board/ccgo/metadata.xml b/games-board/ccgo/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-board/ccgo/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>